## codelite 2.5.2.4031~dfsg

=== sdk/wxscintilla/build/Makefile ===
##############################################################################
## File:        Makefile
## Purpose:     wxScintilla
## Maintainer:  Otto Wyss
## Created:     2004-09-19
## RCS-ID:      $Id: Makefile,v 1.13 2006/03/14 19:10:49 wyo Exp $
## Copyright:   (c) 2004 wxCode
## Licence:     wxWindows
##############################################################################

# list of source files
SRC = PlatWX.cpp \
      ScintillaWX.cpp \
      wxscintilla.cpp \
      AutoComplete.cxx \
      CallTip.cxx \
      CellBuffer.cxx \
      CharClassify.cxx \
      ContractionState.cxx \
      Document.cxx \
      DocumentAccessor.cxx \
      Editor.cxx \
      Indicator.cxx \
      KeyMap.cxx \
      KeyWords.cxx \
      LexAda.cxx \
      LexAPDL.cxx \
      LexAsm.cxx \
      LexAsn1.cxx \
      LexAU3.cxx \
      LexAVE.cxx \
      LexBaan.cxx \
      LexBash.cxx \
      LexBasic.cxx \
      LexBullant.cxx \
      LexCaml.cxx \
      LexCLW.cxx \
      LexConf.cxx \
      LexCPP.cxx \
      LexCrontab.cxx \
      LexCsound.cxx \
      LexCSS.cxx \
      LexEiffel.cxx \
      LexErlang.cxx \
      LexEScript.cxx \
      LexFlagship.cxx \
      LexForth.cxx \
      LexFortran.cxx \
      LexGui4Cli.cxx \
      LexHaskell.cxx \
      LexHTML.cxx \
      LexInno.cxx \
      LexKix.cxx \
      LexLisp.cxx \
      LexLout.cxx \
      LexLua.cxx \
      LexMatlab.cxx \
      LexMetapost.cxx \
      LexMMIXAL.cxx \
      LexMPT.cxx \
      LexMSSQL.cxx \
      LexOpal.cxx \
      LexNsis.cxx \
      LexOthers.cxx \
      LexPascal.cxx \
      LexPB.cxx \
      LexPerl.cxx \
      LexPOV.cxx \
      LexPS.cxx \
      LexPython.cxx \
      LexRebol.cxx \
      LexRuby.cxx \
      LexScriptol.cxx \
      LexSmalltalk.cxx \
      LexSpecman.cxx \
      LexSQL.cxx \
      LexTADS3.cxx \
      LexTCL.cxx \
      LexTeX.cxx \
      LexVB.cxx \
      LexVerilog.cxx \
      LexVHDL.cxx \
      LexYAML.cxx \
      LineMarker.cxx \
      PropSet.cxx \
      RESearch.cxx \
      ScintillaBase.cxx \
      Style.cxx \
      StyleContext.cxx \
      UniConversion.cxx \
      ViewStyle.cxx \
      WindowAccessor.cxx \
      XPM.cxx

# source directories
vpath %.cpp ../src
vpath %.cxx ../src/scintilla/src

# additional header directories
INC = -I../include \
      -I../src/scintilla/include \
      -I../src/scintilla/src

DEF = -D__WX__=1 -DSCI_LEXER -DLINK_LEXERS

# objects
OBJ = $(patsubst %.cxx,%.o,$(SRC:.cpp=.o))

# library
LIB = libwxscintilla


##############################################################################
# implementation, change only if other settings or other targets are needed

ifneq ($(WXDEVEL),)
  WXDEVEL_Release = $(WXDEVEL)/Release/
  WXDEVEL_Debug = $(WXDEVEL)/Debug/
  WXDEVEL_Univ = $(WXDEVEL)/Univ/
endif

ifeq ($(MAKECMDGOALS),)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),release)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),debug)
  WXCONFIG=wxgtkd-2.4-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),develdebug)
  WXCONFIG=$(WXDEVEL_Debug)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif
ifeq ($(MAKECMDGOALS),univdebug)
  WXCONFIG=$(WXDEVEL_Univ)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif

%.o:	%.cpp
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

%.o:	%.cxx
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

all:	$(LIB).so
$(LIB).so:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

release:	$(LIB).a
$(LIB).a:	$(OBJ)
	ar crs ../lib/$@ $^

debug:	$(LIB).so.d
$(LIB).so.d:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

develdebug:	$(LIB).so.dd
$(LIB).so.dd:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

univdebug:	$(LIB).so.ud
$(LIB).so.ud:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

clean:
	rm -f *.o

## codelite 2.6.0.4189~dfsg

=== debian/changelog ===
codelite (2.6.0.4189~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Refresh patches.
  * Add license information about files under ./Debugger/

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Jul 2010 19:42:47 +0200

codelite (2.5.3.4075~dfsg-2) unstable; urgency=low

  * Add git-buildpackage config file.
  * debian/control:
    - Update Standards to 3.9.0:
      + Replace Conflicts with Breaks.
    - Drop DM-Upload-Allowed field.
    - Add qt4-qmake,wx-common to Recommends.

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Jul 2010 10:35:12 +0200

codelite (2.5.3.4075~dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update debian/copyright
  * Change my email address.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Jun 2010 15:30:55 +0200

codelite (2.5.2.4031~dfsg-2) unstable; urgency=low

  * Set pkg source format to 1.0.
  * Fix little mistake in debian/codelite.1 (Closes: #579761).
  * Install codelite_xterm script into /usr/lib/codelite.
  * debian/patches/01_x-terminal-emulator.patch:
    - Rely on codelite_xterm script to run console programs (LP: #575635).
  * debian/patches/05_codelite_xterm.patch:
    - Don't rely on xterm, try to use the user's preferred terminal emulator first.
    - The option to change the window title depends on the terminal emulator used.
    - Pass '-x' instead of '-e' to terminator.
  * debian/rules:
    - Adjust get-orig-source rule to remove junk files from the original tarball.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 05 May 2010 17:46:58 +0200

codelite (2.5.2.4031~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 02:03:19 +0200

codelite (2.3.0.3833~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #516896).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 25 Mar 2010 11:37:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

MAKEFILE := $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR := $(dir $(MAKEFILE))
SOURCE_DIR := $(DEBIAN_DIR)/..
DEB_SOURCE_NAME := $(shell grep ^Source $(DEBIAN_DIR)/control | cut -f2 -d' ')
CURRENT_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | \
		sed -n 's/~dfsg-.*$$//; s/^Version: //p')
USCAN = uscan \
			--package=$(DEB_SOURCE_NAME) \
			--watchfile=$(DEBIAN_DIR)/watch \
			--upstream-version=$(CURRENT_VERSION)
VERSION ?= $(shell $(USCAN) --dehs --no-download | \
	sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

UNITTEST_TARBALL = unittest++1.3.tar.gz 

%:
	dh $@

# this is a hack so we can grab everything in /usr/share/codelite for
# codelite while splitting these directories away into separate plugins
override_dh_install:
	dh_install
	rm -f debian/codelite/usr/share/codelite/src/$(UNITTEST_TARBALL)
	cd debian/codelite/usr/share/codelite; \
	rm -rf \
		src/unittest*.tar.gz \
		templates/gizmos \
		templates/projects/UnitTest++ \
		templates/formbuilder \
		Runtime/templates/projects/dynamic-library-wx-enabled/dynamic-library-wx-enabled.project~ \
		UnitTest++/Makefile \
		templates/qmake
	# Prune empty dirs
	find debian/codelite/ -type d -empty -delete
	find debian/codelite-plugins/ -type d -empty -delete

override_dh_auto_clean:
	[ -e UnitTest++/Makefile ] && \
		mv UnitTest++/Makefile UnitTest++/Makefile.new
	dh_auto_clean
	find -name Makefile ! -wholename '*sdk*' -delete
	rm -f fakeroot/DEBIAN/control
	rm -rf $(CURDIR)/Runtime/src/UnitTest++
	rm -rf $(CURDIR)/Runtime/src/unittest*.tar.gz
	[ -e UnitTest++/Makefile.new ] && \
		mv UnitTest++/Makefile.new UnitTest++/Makefile

override_dh_auto_build:
	cp -a UnitTest++ $(CURDIR)/Runtime/src
	GZIP=-9fn tar -czf Runtime/src/$(UNITTEST_TARBALL) \
		Runtime/src/UnitTest++
	rm -rf $(CURDIR)/Runtime/src/UnitTest++
	dh_auto_build

override_dh_auto_install:
	sed -i -e 's/\(install:.*\)\(uninstall\)\(.*\)/\1 \3/' Makefile
	dh_auto_install

get-orig-source:
	$(USCAN) \
		--download-version=$(VERSION) \
		--destdir=. \
		--force-download \
		--download \
		--rename
	if [ -d $(DEB_SOURCE_NAME)-$(VERSION) ]; then \
		echo "$(DEB_SOURCE_NAME)-$(VERSION) is in the way, bailing out!"; \
		exit 1; \
	fi
	tar -xzf $(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
	mv \
		$(DEB_SOURCE_NAME)-$(VERSION) \
		$(DEB_SOURCE_NAME)-$(VERSION)~dfsg
	GZIP=-9fn tar \
		 --exclude=*.dll \
		 --exclude=*.exe \
		 --exclude=Runtime/templates/projects/dynamic-library-wx-enabled/dynamic-library-wx-enabled.project~ \
		 --exclude=sdk/wxsqlite3/sqlite3 \
		 --exclude=sdk/src \
		 --exclude=sdk/wxconfig \
		 --exclude=sdk/astyle \
		 --exclude=sqlite3 \
		 --exclude=unittest*.tar.gz \
		 -czf $(DEB_SOURCE_NAME)_$(VERSION)~dfsg.orig.tar.gz \
		 $(DEB_SOURCE_NAME)-$(VERSION)~dfsg
	rm -rf \
		$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz \
		$(DEB_SOURCE_NAME)-$(VERSION)~dfsg

## codelite 2.7.0.4375~dfsg

=== debian/changelog ===
codelite (2.7.0.4375~dfsg-2) experimental; urgency=low

  * Fix CodeLite/unixprocess_impl.cpp, codelite_kill_children is located
    in /usr/lib/codelite/.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Sep 2010 12:58:18 +0200

codelite (2.7.0.4375~dfsg-1) experimental; urgency=low

  * Set upstream's tarball compression to bzip2.
  * New upstream bugfix release:
    - Many bugfixes.
    - Code completion enhancements.
    - New refactoring feature: Rename Local Variable.
  * Refresh patches.
  * Add description to to debian/patches/04_configure.patch patch,
    as per DEP-3.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Sep 2010 19:00:39 +0200

## codelite 2.8.0.4537~dfsg

=== debian/changelog ===
codelite (2.8.0.4537~dfsg-4) unstable; urgency=low

  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2011 11:40:05 +0200

codelite (2.8.0.4537~dfsg-3) unstable; urgency=low

  * debian/patches/04_configure.patch:
    - Link against libwxsqlite3-2.8-0.
  * debian/control:
    - Build-depend on libwxsqlite3-2.8-dev.
  * debian/rules:
    - Update get-orig-source to strip wxsqlite3 out of the tarball.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Mar 2011 13:42:07 +0100

codelite (2.8.0.4537~dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Patches have been forwarded.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 09:42:05 +0100

codelite (2.8.0.4537~dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update debian/gbp.conf.
  * Rename and refresh 01_x-terminal-emulator.patch.
  * Refresh debian/patches/03_move-helper-binaries.patch
  * Refresh debian/patches/04_configure.patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Nov 2010 13:45:10 +0100

=== debian/control ===
Source: codelite
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 libgtk2.0-dev,
 libwxgtk2.8-dev,
 libwxsqlite3-2.8-dev,
 libsqlite3-dev
Standards-Version: 3.9.1
Homepage: http://www.codelite.org
Vcs-Git: git://git.debian.org/git/collab-maint/codelite.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/codelite.git

Package: codelite
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: gdb,
 qt4-qmake,
 wx-common,
 gcc,
 g++,
 xterm | x-terminal-emulator
Suggests: codelite-plugins
Description: Powerful and lightweight C/C++ IDE
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features:
  * Generic support for compilers
  * Built-in GDB support
  * Database-based Code Completion mechanism
  * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
    PHP, JavaScript, Python, HTML, and ASP
  * Text Folding
  * Bookmarks
  * Find and Replace
  * doxygen comment generator

Package: codelite-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: codelite-plugins-abbreviation (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-codeformatter (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-continuousbuild (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-copyright (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-cscope (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-externaltools (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-gizmos (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-snipwiz (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-subversion (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-unittestcpp (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-wxformbuilder (<< 2.3.0.3833+dfsg-1)
Replaces: codelite-plugins-abbreviation (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-codeformatter (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-continuousbuild (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-copyright (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-cscope (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-externaltools (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-gizmos (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-snipwiz (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-subversion (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-unittestcpp (<< 2.3.0.3833+dfsg-1),
 codelite-plugins-wxformbuilder (<< 2.3.0.3833+dfsg-1)
Description: Powerful and lightweight C/C++ IDE - plugins
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features:
  * Generic support for compilers
  * Built-in GDB support
  * Database-based Code Completion mechanism
  * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
    PHP, JavaScript, Python, HTML, and ASP
  * Text Folding
  * Bookmarks
  * Find and Replace
  * doxygen comment generator
 .
 This package contains the plugins for CodeLite.

=== debian/rules ===
--- 
+++ 
@@ -73,17 +73,17 @@
 	mv \
 		$(DEB_SOURCE_NAME)-$(VERSION) \
 		$(DEB_SOURCE_NAME)-$(VERSION)~dfsg
-	GZIP=-9fn tar \
+	BZIP=-9f tar \
 		 --exclude=*.dll \
 		 --exclude=*.exe \
 		 --exclude=Runtime/templates/projects/dynamic-library-wx-enabled/dynamic-library-wx-enabled.project~ \
-		 --exclude=sdk/wxsqlite3/sqlite3 \
+		 --exclude=sdk/wxsqlite3 \
 		 --exclude=sdk/src \
 		 --exclude=sdk/wxconfig \
 		 --exclude=sdk/astyle \
 		 --exclude=sqlite3 \
 		 --exclude=unittest*.tar.gz \
-		 -czf $(DEB_SOURCE_NAME)_$(VERSION)~dfsg.orig.tar.gz \
+		 -cjf $(DEB_SOURCE_NAME)_$(VERSION)~dfsg.orig.tar.bz2 \
 		 $(DEB_SOURCE_NAME)-$(VERSION)~dfsg
 	rm -rf \
 		$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz \

=== debian/watch ===
version=3

options=dversionmangle=s/\~dfsg.*// \
    http://sf.net/codelite/codelite-(.+)\.tar\.gz

## codelite 6.1.1%2bdfsg

=== debian/changelog ===
codelite (6.1.1+dfsg-4ubuntu1) vivid; urgency=medium

  * Disable lldb portions of build on arm64/ppc64el, as lldb is not
    supported there yet.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 29 Dec 2014 09:59:51 +0000

codelite (6.1.1+dfsg-4) unstable; urgency=medium

  * Switch to LLVM 3.5.
    - Reworked the LLVM related patches into 2 patch files to make more
      logical sense and due to dependencies between the patches.
  * Bump standards version to 3.9.6 (no changes).
  * Fix typo in debian/copyright.
  * Sort build-dependencies.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 27 Sep 2014 11:57:16 +0100

codelite (6.1.1+dfsg-3) unstable; urgency=medium

  * Really fix the hurd build this time.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 04 Sep 2014 14:58:45 +0100

codelite (6.1.1+dfsg-2) unstable; urgency=medium

  * Fix typo causing build failure on hurd.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 03 Sep 2014 22:39:46 +0100

codelite (6.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/control
    - Build depend on libhunspell-dev.
    - Re-enable SFTP support using libssh-gcrypt.
    - Recommend valgrind (for new MemChecker plugin).
  * debian/copyright
    - Remove bundled version of hunspell.
  * debian/patches
    - Refresh patches.
    - Patch 10_move-helper-binaries.patch rewritten due to upstream changes.
    - Add 19_remove-bundled-clang-format.patch to fix clang-format paths.
    - Add 20_Compilation-fix-for-non-precompiled-header-builds.patch from
      upstream to fix build.
  * debian/*.1
    - Remove manpages in debian/ - moved to upstream

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 01 Sep 2014 00:23:18 +0100

codelite (6.0.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable (Closes: #749976).
  * Drop gcc 4.9 workaround (fixed in wxwidgets)
  * Drop manual dependency on lldb (see #750868).
  * Re-enable lldb on mips.
  * Remove uses of PATH_MAX for hurd.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 16 Aug 2014 09:41:47 +0100

codelite (6.0.1+dfsg-1~exp2) experimental; urgency=medium

  * Fix build dependencies for mips.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 09 Jun 2014 00:24:02 +0100

codelite (6.0.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

  * Add breaks to codelite package to ensure upgrades are smooth
  * Fix get-orig-source target
  * Refresh patches.
    Dropped patches applied upstream:
     - 06_extra-library-linking.patch
     - 12_fix-desktop.patch
     - 13_kill_children_syntax_error.patch
     - 14_fix_chinese_locale.patch
  * Add patch to fix the link order of the LLDB debugger plugin
  * Disable clang and lldb on hurd and mips
  * Disable SFTP support since an openssl license exception is needed

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 08 Jun 2014 00:48:30 +0100

codelite (5.4+dfsg-1~exp1) experimental; urgency=low

  * New maintainer (Closes: #639782)
  * New upstream release.

  * debian/control:
    - Use debhelper 9.
    - Bump standards to 3.9.5 (no changes).
    - Remove ancient Breaks / Replaces on old codelite plugin packages.
    - codelite-plugins now depends on codelite.
    - Canonicalize Vcs fields.
  * debian/copyright:
    - Use final version of the machine readable copyright format.
    - Use Files-Excluded to mark files to be removed from upstream source.
  * debian/rules:
    - Enable all hardening flags.
    - Enable parallel builds.
  * debian/watch:
    - Update watch file (upstream has moved to github).
  * debian/codelite-make.1
    - Add man page for codelite-make.
  * patches/01..04.patch:
    - Patches to build scripts to remove bundled versions of cppcheck, sqlite,
      wxsqlite, libclang and unittest++.
  * patches/05_prevent-cxx-flags-clobbering.patch:
    - Prevent build scripts clobbering compiler flags (which prevents hardening
      flags from getting through).
  * patches/06_extra-library-linking.patch:
    - Manually link plugins to required libraries (instead of assuming the
      dynamic linker has already loaded them).
  * patches/07_remove-extra-rpath.patch:
    - Remove duplicate RPATH entry.
  * patches/08_fix-crash-on-close.patch:
    - Fix crash caused by new version of wxsqlite3.
  * patches/09_use-x-terminal-editor.patch (was 01-x_terminal_emulator.patch):
    - Patch updated.
  * patches/10_move-helper-binaries.patch (was 03_move-helper-binaries.patch):
    - Patch updated.
  * patches/11_no-sonames.patch:
    - Disable SONAME generation (since all the libraries are private).
  * patches/12_fix-desktop.patch (was 02_fix-desktop.patch):
    - Patch updated and Keywords field added.
  * patches/13_kill_children_syntax_error.patch:
    - Fix syntax error in codelite_kill_children script.
  * patches/14_fix_chinese_locale.patch:
    - Fix Chinese locale code (cz -> zh_CN).
  * patches/15_fix_about_box_license.patch:
    - Fix license tab in the about box.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 26 May 2014 18:37:09 +0100

=== debian/control ===
Source: codelite
Section: devel
Priority: optional
Maintainer: James Cowgill <james410@cowgill.org.uk>
Build-Depends:
 debhelper (>= 9),
 cmake (>= 2.8),
 dpkg-dev (>= 1.16.1.1),
 libclang-3.5-dev [!hurd-i386],
 libgtk2.0-dev,
 libhunspell-dev,
 liblldb-3.5-dev [!hurd-i386 !arm64 !ppc64el],
 libssh-gcrypt-dev,
 libwxgtk3.0-dev,
 libwxsqlite3-3.0-dev,
 llvm-3.5 [!hurd-i386],
 pkg-config
Standards-Version: 3.9.6
Homepage: http://www.codelite.org
Vcs-Git: git://anonscm.debian.org/collab-maint/codelite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/codelite.git

Package: codelite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: codelite-plugins (<< 5.4+dfsg-1~exp1)
Recommends:
 gdb,
 wx-common,
 gcc,
 g++,
 xterm | x-terminal-emulator
Suggests: codelite-plugins
Description: Powerful and lightweight C/C++ IDE
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features:
  * Generic support for compilers
  * Built-in GDB support
  * Database-based Code Completion mechanism
  * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
    PHP, JavaScript, Python, HTML, and ASP
  * Text Folding
  * Bookmarks
  * Find and Replace
  * doxygen comment generator

Package: codelite-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 codelite (= ${binary:Version})
Breaks: codelite (<< 5.4+dfsg-1~exp1)
Replaces: codelite (<< 5.4+dfsg-1~exp1)
Recommends:
 cppcheck (>= 1.54),
 libunittest++-dev (>= 1.3),
 qt4-qmake,
 valgrind
Description: Powerful and lightweight C/C++ IDE - plugins
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features:
  * Generic support for compilers
  * Built-in GDB support
  * Database-based Code Completion mechanism
  * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
    PHP, JavaScript, Python, HTML, and ASP
  * Text Folding
  * Bookmarks
  * Find and Replace
  * doxygen comment generator
 .
 This package contains the plugins for CodeLite.

=== debian/rules ===
#!/usr/bin/make -f

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Disable clang + lldb on hurd
ifeq ($(DEB_HOST_ARCH),hurd-i386)
	CONFIG_EXTRA := -DENABLE_CLANG=0 -DENABLE_LLDB=0
	INSTALL_EXTRA := -Xcodelite-clang -Xcodelite-lldb -XLLDBDebugger.so
else
ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el arm64))
	CONFIG_EXTRA := -DLLVM_VERSION=3.5 -DENABLE_LLDB=0
	INSTALL_EXTRA := -Xcodelite-lldb -XLLDBDebugger.so
else
	CONFIG_EXTRA := -DLLVM_VERSION=3.5
	INSTALL_EXTRA :=
endif
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib $(CONFIG_EXTRA)

override_dh_install:
	dh_install $(INSTALL_EXTRA)

override_dh_shlibdeps:
	dh_shlibdeps -Lcodelite

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download  --download-current-version $(PKD)
